Arduino

Reference Language | Libraries | Comparison | Changes

## SoftwareSerial: write(data)

#### Description

Prints data to the transmit pin of the software serial port as raw bytes. Works the same as the Serial.write() function.

#### Parameters

Serial.write() for details

#### Returns

byte
write() will return the number of bytes written, though reading that number is optional

#### Example

SoftwareSerial mySerial(6, 7);
void setup()
{
mySerial.begin(9600);
}
void loop()
{
mySerial.write(45); // send a byte with the value 45
int bytesSent = mySerial.write(“hello”); //send the string “hello” and return the length of the string.
}
[Get Code]

#### See also

- SoftwareSerial()
- begin()
- read()
- print()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes